unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RVScroll, RichView, RVEdit, RVStyle,RVTable,RVItem, ExtCtrls,
  PtblRV, RVOfficeCnv, ComCtrls;

type
  TForm1 = class(TForm)
    RVStyle1: TRVStyle;
    RichViewEdit1: TRichViewEdit;
    Panel1: TPanel;
    Button1: TButton;
    Button3: TButton;
    RVPrint1: TRVPrint;
    Button4: TButton;
    od: TOpenDialog;
    sd: TSaveDialog;
    rvc: TRVOfficeConverter;
    pb: TProgressBar;
    SaveDialog1: TSaveDialog;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure RichViewEdit1Paint(Sender: TCustomRichView; Canvas: TCanvas;
      Prepaint: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses PreviewFrm;

{$R *.DFM}


procedure TForm1.Button1Click(Sender: TObject);
var
    table: TRVTableItemInfo;
    i,j,r,c,k :integer;
    Pt  : TPoint;
    pi : TParaInfo;
begin

     pi := RVStyle1.ParaStyles[RichViewEdit1.CurParaStyleno];
     pi.FirstIndent := 0;
     pi.LeftIndent  := 20;
     pi.RightIndent := 40;

     // ̺   ȭ ġ ´.
     r := 10;
     c := 10;
     // ⺻̺   (û  ҽ)
     table := TRVTableItemInfo.CreateEx(r,c, RichViewEdit1.RVData);
     table.options := [rvtoEditing,rvtoRowSizing,rvtoColSizing,rvtoRowSelect,rvtoColSelect];
     table.Options := table.Options + [rvtoHideGridLines];

     table.CellBorderStyle := rvtbColor;
     table.CellBorderColor := 1;
     table.CellBorderWidth := 1;
     table.CellHSpacing := -1;
     table.CellVSpacing := -1;
     table.CellPadding  := 3;
     table.BestWidth := -100;
     for i := 0 to r - 1 do begin
        for j := 0 to c - 1 do begin
           if k = 0 then k:= 50;
           table.Cells[i,j].Clear;
           table.Cells[i,j].AddNLATag('',0,0,0);
           table.SetCellVAlign(rvcMiddle,i,j);
        end;
     end;
     if RichViewEdit1.InsertItem('', table) then begin
     end;
     RichViewEdit1.Format;

end;

procedure TForm1.RichViewEdit1Paint(Sender: TCustomRichView;
  Canvas: TCanvas; Prepaint: Boolean);
begin
 if not Prepaint then begin
     Canvas.Pen.Color := clSilver;
     Canvas.Pen.Width := 1;
     Canvas.Pen.Style := psSolid;
     Canvas.MoveTo(740-Sender.HScrollPos, 0);
     Canvas.LineTo(740-Sender.HScrollPos, Sender.ClientHeight);
   end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  RVPrint1.AssignSource(RichViewEdit1);
  RVPrint1.FormatPages(rvdoALL);
  if RVPrint1.PagesCount>0 then begin
    frmPreview.rvpp.RVPrint := RVPrint1;
    //frmPreview.SpeedButton1Click(nil); //  Show First Page
    frmPreview.ShowModal;
  end;
end;


procedure TForm1.Button4Click(Sender: TObject);
  var
      r: Boolean;
      fileName : string;
begin
    filename := ExtractFilePath(Application.ExeName) + 'test.rtf';
    r := RichViewEdit1.SaveRTF(fileName, False);
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
  od.Filter := 'RTF (Built-In RichView Import)|*.rtf|'+rvc.GetImportFilter;
  sd.Filter := 'RTF (Built-In RichView Export)|*.rtf|'+rvc.GetExportFilter;
end;



procedure TForm1.Button2Click(Sender: TObject);
var
    r: Boolean;
    fileName : string;
begin
    RichViewEdit1.Clear;
    filename := ExtractFilePath(Application.ExeName) + 'test.rtf';
    r := RichViewEdit1.LoadRTF(FileName);
    RichViewEdit1.Format;
end;

end.
