unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RVStyle, RVScroll, RichView, RVEdit, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    RichEdit1: TRichEdit;
    RichViewEdit1: TRichViewEdit;
    RVStyle1: TRVStyle;
    btnLoad: TButton;
    btnSave: TButton;
    btnLoadCopy: TButton;
    procedure btnLoadClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure btnLoadCopyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnLoadClick(Sender: TObject);
var
  f: TFileStream;
begin
  f:=TFileStream.Create('Home.rtf',fmOpenRead);
  try
    f.position:=0;
    richedit1.lines.loadfromstream(f);

    f.position:=0;
    richviewedit1.clear;
    richviewedit1.loadrtffromstream(f);
    richviewedit1.format;
  finally
    f.free;
  end;
end;

procedure TForm1.btnSaveClick(Sender: TObject);
var
  f: TFileStream;
begin
  f:=TFileStream.Create('HomeCopy.rtf',fmCreate);
  try
    richviewedit1.savertftostream(f,false);
    f.position:=0
  finally
    f.free;
  end;
end;

procedure TForm1.btnLoadCopyClick(Sender: TObject);
var
  f: TFileStream;
begin
  f:=TFileStream.Create('HomeCopy.rtf',fmOpenRead);
  try
    f.position:=0;
    richedit1.lines.loadfromstream(f);

    f.position:=0;
    richviewedit1.clear;
    richviewedit1.loadrtffromstream(f);
    richviewedit1.format;
  finally
    f.free;
  end;
end;

end.

