unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, RVScroll, RichView, RVEdit, RVStyle;

type
  TForm1 = class(TForm)
    RVStyle1: TRVStyle;
    rve: TRichViewEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    ntab:integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses rvtable, rvitem;
{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var table:trvtableiteminfo;
    x, y:integer;
begin
for x:=1 to 3 do begin
table:=trvtableiteminfo.createex(1, 2, rve.RVData);
table.Cells[0, 0].Clear; table.Cells[0, 1].Clear;
for y:=0 to 5 do table.Cells[0, 0].AddNL(inttostr(x*y), 0, 0);
for y:=5 downto 0 do table.Cells[0, 1].AddNL(inttostr(x*y), 0, 0);
rve.AddItem('', table);
rve.AddNL(inttostr(x), 1, 0);
end;
rve.Format;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
    item: TCustomRVItemInfo;
    table: TRVTableItemInfo;
    rv_e: TCustomRichViewEdit;
    r, c, z:integer;
begin
if rve.GetCurrentItemEx(TRVTableItemInfo, rv_e, item) then begin
 table:=trvtableiteminfo(item);

   for r:=0 to table.Rows.Count-1 do
    for c:=0 to table.Rows[r].Count-1 do begin
     if table.Cells[r, c]<>nil then begin
      for z:=0 to table.Cells[r, c].ItemCount-1 do begin
        showmessage(table.Cells[r, c].GetItemText(z));
      end;
     end;
    end;
end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var x, r, c, z: integer;
    item:TCustomRVItemInfo;
    table:trvtableiteminfo;
begin
for x:=0 to rve.ItemCount-1 do begin
 item:=rve.GetItem(x);
 if item is trvtableiteminfo then begin
 table:=trvtableiteminfo(item);

   for r:=0 to table.Rows.Count-1 do
    for c:=0 to table.Rows[r].Count-1 do begin
     if table.Cells[r, c]<>nil then begin
      for z:=0 to table.Cells[r, c].ItemCount-1 do begin
        showmessage(table.Cells[r, c].GetItemText(z));
      end;
     end;
    end;
 end;
end;

end;

procedure TForm1.Button4Click(Sender: TObject);
var x:integer;
    item: TCustomRVItemInfo;
    table: TRVTableItemInfo;
begin
for x:=0 to rve.ItemCount-1 do begin
 item:=rve.GetItem(x);
 if item is trvtableiteminfo then begin
  table:=trvtableiteminfo(item);
  table.Cells[0, 1].SetSelectionBounds(0, 0, 2, 0);
  table.Changed;
 end;
end;
end;

end.
