//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "RichView"
#pragma link "RVEdit"
#include "RVTable.hpp"
#pragma link "RVScroll"
#pragma link "RVStyle"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{

    rv_editor->InsertText("Select some cells. Then click on this text.");

    TRVTableItemInfo* table= new TRVTableItemInfo(2,4,rv_editor->RVData);

    for (int i=0;i<2; ++i){
        for (int j=0; j<4; ++j) {
            table->Cells[i][j]->Clear();
            table->Cells[i][j]->AddNL(i*10+j,0,0);
        }
    }
    rv_editor->InsertItem("table",table);
}

//---------------------------------------------------------------------------

void __fastcall TForm1::rv_editorRVMouseUp(TCustomRichView *Sender,
      TMouseButton Button, TShiftState Shift, int ItemNo, int X, int Y)
{
    int item= rv_editor->CurItemNo;

    int offsBefore= rv_editor->GetOffsBeforeItem(item);
    int offsAfter= rv_editor->GetOffsAfterItem(item);
    rv_editor->SetSelectionBounds(item, offsBefore, item, offsAfter);
}

//---------------------------------------------------------------------------
