unit shortcuts;

interface

uses Classes, RVEdit, SysUtils, ComCtrls, RVItem;

procedure ApplyShortCut(rve:TRichViewEdit; var Key: Word;Shift: TShiftState; sb:TStatusBar);

implementation

uses
  Dialogs;

procedure ApplyShortCut(rve:TRichViewEdit; var Key: Word;Shift: TShiftState; sb:TStatusBar);
var
   ci: TCustomRVItemInfo;
   CurNo,i: Integer;
   StartNo, EndNo, StartNoNextPara: Integer;
   Offs, Offs2: Integer;
   uebnr: Integer;
   function StartPara(No: Integer): Integer;
   var
      I: Integer;
   begin
   for I:=No downto 0 do
      if rve.IsParaStart(I) then Break;
      Result:=I;
   end;


   function EndPara(No: Integer): Integer;
   var
      I: Integer;
   begin
      Result:=No;
      Inc(No);
      if No<>rve.ItemCount then
         for I:=No to rve.ItemCount-1 do
         begin
           if rve.IsParaStart(I) then Break;
           Inc(Result);
         end;
   end;

   function StartOfNextPara(No:Integer):Integer;
   var
      I: Integer;
   begin
      Result:=No;
      Inc(No);
      if No<>rve.ItemCount then
         for I:=No to rve.ItemCount-1 do
         begin
           if rve.IsParaStart(I) then Break;
           Inc(Result);
         end;
      Inc(result);
   end;
begin
   RVE.SetFocus;
   if ssCtrl in Shift then
   begin
//      MessageDlg('Tastenkrzel: ' + InttoStr(Key), mtInformation, [mbOK], 0);
      SB.Panels[3].Text := InttoStr(Key);

      Case Key of
      38:   begin   // Pfeil rauf

            end;

      40:   begin   // Pfeil runter
               RVE.SetFocus;
               CurNo:=rve.CurItemNo;
               StartNoNextPara:=StartOfNextPara(CurNo);
               offs := RVE.GetOffsBeforeItem(StartNoNextPara);
               RVE.SetSelectionBounds( StartNoNextPara, offs,
                                       StartNoNextPara, offs);
            end;
      end;
   end;
end;

end.
