unit ForceHyperText;

interface
uses Classes, RVStyle,RVItem, CRVFData, Forms, RichView;

type
  TRVTextItemInfoEx = class (TRVTextItemInfo)
    private
    public
      function MouseMove(Shift: TShiftState; X,Y, ItemNo: Integer; RVData: TObject):Boolean; override;
  end;

implementation

uses Graphics;

{ TRVTextItemInfoEx }

// return value: cursor is changed
function TRVTextItemInfoEx.MouseMove(Shift: TShiftState; X, Y,
  ItemNo: Integer; RVData: TObject): Boolean;
var RVStyle: TRVStyle;
begin
  RVStyle := TCustomRVFormattedData(RVData).GetRVStyle;
  Result := GetBoolValueEx(rvbpJump, RVStyle);
  if Result then
    TCustomRVFormattedData(RVData).SetCursor(GetHypertextCursor(RVStyle));
end;

initialization
  RichViewTextItemClass := TRVTextItemInfoEx;

end.
