unit Unit1;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, RVScroll, RichView, RVOfficeCnv, RVStyle;
type
  TForm1 = class(TForm)
    RichView: TRichView;
    btnLoad: TButton;
    RVStyle: TRVStyle;
    procedure btnLoadClick(Sender: TObject);
  private
  public
  end;
var
  Form1: TForm1;
implementation
{$R *.dfm}

procedure TForm1.btnLoadClick(Sender: TObject);
var
  myDocumentVar: string;
begin
  myDocumentVar := ExtractFilePath(Application.ExeName) + 'demo-word97-saved.rtf';
  RichView.RTFReadProperties.ParaStyleMode := rvrsAddIfNeeded;
  RichView.RTFReadProperties.TextStyleMode := rvrsAddIfNeeded;
{
 This seems to "ignore" the vertical scrollbar
 meaning some text is "hidden" underneath.

 notice the line:
 "constantly changing conditions require constantly changing conditions"..
 it is actually:
 "constantly changing conditions require constantly changing conditionsaa"..!

 You can see that by checking the .rtf file.
 The "aa" is "hidden" under the vertical scrollbar.
}
  RichView.Options := RichView.Options + [rvoClientTextWidth];
  RichView.LoadRTF(myDocumentVar);
  RichView.Format;
end;

end.
